# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Deep Rock Galactic Template

game: Deep Rock Galactic
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Deep Rock Galactic:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  ################
  # Goal Options #
  ################
  goal_mode:
    # Set The Current Run Goal [Working Options = haz5_caretaker (default), goldrush, hunter (Not Yet Functional!)]
    kill_caretaker: 50
    goldrush: 0
    hunter: 0

  max_hazard:
    # Determines how high the highest generated hazard level will be for objectives.
    haz3: 0
    haz4: 0
    haz5: 50

  gold_rush_val:
    # Set The Current Gold Rush Gold needed (if that's your goal)
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 7500
    # Maximum value is 20000
    15000: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-7500-20000: 0 # random value between 7500 and 20000

  hunter_trophies:
    # Set The Current Hunter Trophies Needed per enemy (if that's your goal) [Bosses need 1/10]
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 10
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-10-100: 0 # random value between 10 and 100

  hunter_targets:
    # Determines what counts for the Hunter Goal (if that's your goal)
    everything: 50
    bosses_only: 0
    no_passive_creatures: 0

  ######################
  # Difficulty Options #
  ######################
  progression_diff:
    # Determines how high the progressive check locks are for each sphere. (Completion by Diff LeafLover=10%, Normal=25%, Hard=33%, Lethal=50%, Karl=75%)
    easy: 0
    normal: 50
    hard: 0
    lethal: 0
    karl: 0

  starting_stats:
    # Determine how hard your starting stats are. this also affects your maximum stats reached
    easier_x2: 0
    normal: 50
    harder_half: 0

  avail_classes:
    # Set you starting class
    all: 50
    gunner: 0
    driller: 0
    scout: 0
    engineer: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  death_link_all:
    # Sets whether deathlink will kill all palyers, or just a single dwarf at random (in multiplayer)
    'false': 0
    'true': 50

  #####################
  # Optional Features #
  #####################
  error_cube_checks:
    # Sets the number of checks to be Error cubes (Defaults to 10)
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-15: 0 # random value between 0 and 15

  traps_on:
    # Turns on/off Trap Items
    'false': 0
    'true': 50

  minigames_on:
    # Turns on/off Jetty Boot as a location
    'false': 0
    'true': 50

  minigame_num:
    # Sets the high score needed for all the Minigame Locations (in increments of 5)
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 20
    # Maximum value is 100
    30: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-20-100: 0 # random value between 20 and 100

  events_on:
    # Turns on/off Machine Events as a location
    'false': 0
    'true': 50

  ########################
  # AP Coin Shop Options #
  ########################
  coin_shop_prices:
    # Set the avg coin shop price. This will determine the cost of APCoin Shop Items in game.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 30
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-30: 0 # random value between 1 and 30

  shop_item_num:
    # Set the amount of items to be in the APCoin Shop.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 40
    25: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-40: 0 # random value between 0 and 40

  gold_to_coin_rate:
    # Set the value of Gold Gathered to APCoin Conversion Rate. For example setting this to 100 would mean 100x gathered gold gets you 1x APCoin.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 5
    # Maximum value is 500
    50: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-5-500: 0 # random value between 5 and 500

  beermat_to_coin_rate:
    # Set the value of Beer Materials to APCoin Conversion Rate. For example setting this to 5 would mean 5x gathered beer materials gets you 1x APCoin.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 50
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-50: 0 # random value between 1 and 50

  #################
  # Extra Options #
  #################
  locations_to_remove:
    # Removes locations from the placer. Will make upper power cap lower, can make victory much more difficult.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 150
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-150: 0 # random value between 0 and 150

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
